ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE/configure
(Generate patch)

Comparing trunk/OOPSE/configure (file contents):
Revision 791 by mmeineke, Mon Sep 29 22:05:56 2003 UTC vs.
Revision 822 by gezelter, Mon Oct 27 16:20:59 2003 UTC

# Line 311 | Line 311 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
311   # include <unistd.h>
312   #endif"
313  
314 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME DEBUG build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR F90LIBS F90_FUNC F90_FUNC_ mpi_dir MPI_LIBDIR MPI_INC MPI_LIB MPIF77 MPIF90 MPILIBS CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL MPI_F90_MODS MPIMODLIBNAME BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
314 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR F90LIBS F90_FUNC F90_FUNC_ mpi_dir MPI_LIBDIR MPI_INC MPI_LIB MPIF77 MPIF90 MPILIBS CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL MPI_F90_MODS MPIMODLIBNAME BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
315   ac_subst_files=''
316  
317   # Initialize some variables set by options.
# Line 879 | Line 879 | Optional Packages:
879    --with-mpi_inc=dir  give the path for MPI-include-files MPI_DIR/include
880    --with-sprng_prefix=PREFIX
881                            Prefix where SPRNG is installed
882 <  --with-sprng_lib_prefix=PREFIX  SPRNG library directory
883 <  --with-sprng_include_prefix=PREFIX
882 >  --with-sprng-libdir=PREFIX  SPRNG library directory
883 >  --with-sprng-include=PREFIX
884                            SPRNG include directory
885    --with-mkl              Do we want MKL will check /usr/local/intel/mkl60 /opt/intel/mkl60
886    --with-mpi_f90_mods=<dir>
# Line 1828 | Line 1828 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1828  
1829  
1830  
1831 < # what should I build?
1831 > # set program name
1832 > PROGNAME="oopse"
1833  
1834 +
1835 + # there are two ways to do debugging.  One with the --enable-debug flag
1836 + # and one using the DEBUG environment variable
1837 +
1838 + debug=0
1839   # Check whether --enable-debug or --disable-debug was given.
1840   if test "${enable_debug+set}" = set; then
1841    enableval="$enable_debug"
1842 <  DEBUG=1
1842 >  debug=1
1843   fi;
1838
1839 # set program name
1840 PROGNAME="oopse"
1841
1842
1844   if test "${DEBUG}"; then
1845  
1846   cat >>confdefs.h <<\_ACEOF
1847 < #define DEBUG 1
1847 > #define debug 1
1848   _ACEOF
1849  
1850    msg="$msg, debug mode"
# Line 2557 | Line 2558 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
2558   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2559   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2560  
2561 + ac_ext=cc
2562 + ac_cpp='$CXXCPP $CPPFLAGS'
2563 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2564 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2565 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
2566 + if test -n "$ac_tool_prefix"; then
2567 +  for ac_prog in $CCC icpc icc xlC CC g++ c++
2568 +  do
2569 +    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2570 + set dummy $ac_tool_prefix$ac_prog; ac_word=$2
2571 + echo "$as_me:$LINENO: checking for $ac_word" >&5
2572 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
2573 + if test "${ac_cv_prog_CXX+set}" = set; then
2574 +  echo $ECHO_N "(cached) $ECHO_C" >&6
2575 + else
2576 +  if test -n "$CXX"; then
2577 +  ac_cv_prog_CXX="$CXX" # Let the user override the test.
2578 + else
2579 + as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
2580 + for as_dir in $PATH
2581 + do
2582 +  IFS=$as_save_IFS
2583 +  test -z "$as_dir" && as_dir=.
2584 +  for ac_exec_ext in '' $ac_executable_extensions; do
2585 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
2586 +    ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
2587 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
2588 +    break 2
2589 +  fi
2590 + done
2591 + done
2592  
2593 + fi
2594 + fi
2595 + CXX=$ac_cv_prog_CXX
2596 + if test -n "$CXX"; then
2597 +  echo "$as_me:$LINENO: result: $CXX" >&5
2598 + echo "${ECHO_T}$CXX" >&6
2599 + else
2600 +  echo "$as_me:$LINENO: result: no" >&5
2601 + echo "${ECHO_T}no" >&6
2602 + fi
2603  
2604 +    test -n "$CXX" && break
2605 +  done
2606 + fi
2607 + if test -z "$CXX"; then
2608 +  ac_ct_CXX=$CXX
2609 +  for ac_prog in $CCC icpc icc xlC CC g++ c++
2610 + do
2611 +  # Extract the first word of "$ac_prog", so it can be a program name with args.
2612 + set dummy $ac_prog; ac_word=$2
2613 + echo "$as_me:$LINENO: checking for $ac_word" >&5
2614 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
2615 + if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
2616 +  echo $ECHO_N "(cached) $ECHO_C" >&6
2617 + else
2618 +  if test -n "$ac_ct_CXX"; then
2619 +  ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
2620 + else
2621 + as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
2622 + for as_dir in $PATH
2623 + do
2624 +  IFS=$as_save_IFS
2625 +  test -z "$as_dir" && as_dir=.
2626 +  for ac_exec_ext in '' $ac_executable_extensions; do
2627 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
2628 +    ac_cv_prog_ac_ct_CXX="$ac_prog"
2629 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
2630 +    break 2
2631 +  fi
2632 + done
2633 + done
2634  
2635 + fi
2636 + fi
2637 + ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
2638 + if test -n "$ac_ct_CXX"; then
2639 +  echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5
2640 + echo "${ECHO_T}$ac_ct_CXX" >&6
2641 + else
2642 +  echo "$as_me:$LINENO: result: no" >&5
2643 + echo "${ECHO_T}no" >&6
2644 + fi
2645  
2646 +  test -n "$ac_ct_CXX" && break
2647 + done
2648 + test -n "$ac_ct_CXX" || ac_ct_CXX="g++"
2649 +
2650 +  CXX=$ac_ct_CXX
2651 + fi
2652 +
2653 +
2654 + # Provide some information about the compiler.
2655 + echo "$as_me:$LINENO:" \
2656 +     "checking for C++ compiler version" >&5
2657 + ac_compiler=`set X $ac_compile; echo $2`
2658 + { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
2659 +  (eval $ac_compiler --version </dev/null >&5) 2>&5
2660 +  ac_status=$?
2661 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
2662 +  (exit $ac_status); }
2663 + { (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
2664 +  (eval $ac_compiler -v </dev/null >&5) 2>&5
2665 +  ac_status=$?
2666 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
2667 +  (exit $ac_status); }
2668 + { (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
2669 +  (eval $ac_compiler -V </dev/null >&5) 2>&5
2670 +  ac_status=$?
2671 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
2672 +  (exit $ac_status); }
2673 +
2674 + echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5
2675 + echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
2676 + if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
2677 +  echo $ECHO_N "(cached) $ECHO_C" >&6
2678 + else
2679 +  cat >conftest.$ac_ext <<_ACEOF
2680 + #line $LINENO "configure"
2681 + /* confdefs.h.  */
2682 + _ACEOF
2683 + cat confdefs.h >>conftest.$ac_ext
2684 + cat >>conftest.$ac_ext <<_ACEOF
2685 + /* end confdefs.h.  */
2686 +
2687 + int
2688 + main ()
2689 + {
2690 + #ifndef __GNUC__
2691 +       choke me
2692 + #endif
2693 +
2694 +  ;
2695 +  return 0;
2696 + }
2697 + _ACEOF
2698 + rm -f conftest.$ac_objext
2699 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2700 +  (eval $ac_compile) 2>&5
2701 +  ac_status=$?
2702 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
2703 +  (exit $ac_status); } &&
2704 +         { ac_try='test -s conftest.$ac_objext'
2705 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2706 +  (eval $ac_try) 2>&5
2707 +  ac_status=$?
2708 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
2709 +  (exit $ac_status); }; }; then
2710 +  ac_compiler_gnu=yes
2711 + else
2712 +  echo "$as_me: failed program was:" >&5
2713 + sed 's/^/| /' conftest.$ac_ext >&5
2714 +
2715 + ac_compiler_gnu=no
2716 + fi
2717 + rm -f conftest.$ac_objext conftest.$ac_ext
2718 + ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
2719 +
2720 + fi
2721 + echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
2722 + echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
2723 + GXX=`test $ac_compiler_gnu = yes && echo yes`
2724 + ac_test_CXXFLAGS=${CXXFLAGS+set}
2725 + ac_save_CXXFLAGS=$CXXFLAGS
2726 + CXXFLAGS="-g"
2727 + echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
2728 + echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
2729 + if test "${ac_cv_prog_cxx_g+set}" = set; then
2730 +  echo $ECHO_N "(cached) $ECHO_C" >&6
2731 + else
2732 +  cat >conftest.$ac_ext <<_ACEOF
2733 + #line $LINENO "configure"
2734 + /* confdefs.h.  */
2735 + _ACEOF
2736 + cat confdefs.h >>conftest.$ac_ext
2737 + cat >>conftest.$ac_ext <<_ACEOF
2738 + /* end confdefs.h.  */
2739 +
2740 + int
2741 + main ()
2742 + {
2743 +
2744 +  ;
2745 +  return 0;
2746 + }
2747 + _ACEOF
2748 + rm -f conftest.$ac_objext
2749 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2750 +  (eval $ac_compile) 2>&5
2751 +  ac_status=$?
2752 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
2753 +  (exit $ac_status); } &&
2754 +         { ac_try='test -s conftest.$ac_objext'
2755 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2756 +  (eval $ac_try) 2>&5
2757 +  ac_status=$?
2758 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
2759 +  (exit $ac_status); }; }; then
2760 +  ac_cv_prog_cxx_g=yes
2761 + else
2762 +  echo "$as_me: failed program was:" >&5
2763 + sed 's/^/| /' conftest.$ac_ext >&5
2764 +
2765 + ac_cv_prog_cxx_g=no
2766 + fi
2767 + rm -f conftest.$ac_objext conftest.$ac_ext
2768 + fi
2769 + echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
2770 + echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
2771 + if test "$ac_test_CXXFLAGS" = set; then
2772 +  CXXFLAGS=$ac_save_CXXFLAGS
2773 + elif test $ac_cv_prog_cxx_g = yes; then
2774 +  if test "$GXX" = yes; then
2775 +    CXXFLAGS="-g -O2"
2776 +  else
2777 +    CXXFLAGS="-g"
2778 +  fi
2779 + else
2780 +  if test "$GXX" = yes; then
2781 +    CXXFLAGS="-O2"
2782 +  else
2783 +    CXXFLAGS=
2784 +  fi
2785 + fi
2786 + for ac_declaration in \
2787 +   ''\
2788 +   '#include <stdlib.h>' \
2789 +   'extern "C" void std::exit (int) throw (); using std::exit;' \
2790 +   'extern "C" void std::exit (int); using std::exit;' \
2791 +   'extern "C" void exit (int) throw ();' \
2792 +   'extern "C" void exit (int);' \
2793 +   'void exit (int);'
2794 + do
2795 +  cat >conftest.$ac_ext <<_ACEOF
2796 + #line $LINENO "configure"
2797 + /* confdefs.h.  */
2798 + _ACEOF
2799 + cat confdefs.h >>conftest.$ac_ext
2800 + cat >>conftest.$ac_ext <<_ACEOF
2801 + /* end confdefs.h.  */
2802 + #include <stdlib.h>
2803 + $ac_declaration
2804 + int
2805 + main ()
2806 + {
2807 + exit (42);
2808 +  ;
2809 +  return 0;
2810 + }
2811 + _ACEOF
2812 + rm -f conftest.$ac_objext
2813 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2814 +  (eval $ac_compile) 2>&5
2815 +  ac_status=$?
2816 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
2817 +  (exit $ac_status); } &&
2818 +         { ac_try='test -s conftest.$ac_objext'
2819 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2820 +  (eval $ac_try) 2>&5
2821 +  ac_status=$?
2822 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
2823 +  (exit $ac_status); }; }; then
2824 +  :
2825 + else
2826 +  echo "$as_me: failed program was:" >&5
2827 + sed 's/^/| /' conftest.$ac_ext >&5
2828 +
2829 + continue
2830 + fi
2831 + rm -f conftest.$ac_objext conftest.$ac_ext
2832 +  cat >conftest.$ac_ext <<_ACEOF
2833 + #line $LINENO "configure"
2834 + /* confdefs.h.  */
2835 + _ACEOF
2836 + cat confdefs.h >>conftest.$ac_ext
2837 + cat >>conftest.$ac_ext <<_ACEOF
2838 + /* end confdefs.h.  */
2839 + $ac_declaration
2840 + int
2841 + main ()
2842 + {
2843 + exit (42);
2844 +  ;
2845 +  return 0;
2846 + }
2847 + _ACEOF
2848 + rm -f conftest.$ac_objext
2849 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2850 +  (eval $ac_compile) 2>&5
2851 +  ac_status=$?
2852 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
2853 +  (exit $ac_status); } &&
2854 +         { ac_try='test -s conftest.$ac_objext'
2855 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2856 +  (eval $ac_try) 2>&5
2857 +  ac_status=$?
2858 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
2859 +  (exit $ac_status); }; }; then
2860 +  break
2861 + else
2862 +  echo "$as_me: failed program was:" >&5
2863 + sed 's/^/| /' conftest.$ac_ext >&5
2864 +
2865 + fi
2866 + rm -f conftest.$ac_objext conftest.$ac_ext
2867 + done
2868 + rm -f conftest*
2869 + if test -n "$ac_declaration"; then
2870 +  echo '#ifdef __cplusplus' >>confdefs.h
2871 +  echo $ac_declaration      >>confdefs.h
2872 +  echo '#endif'             >>confdefs.h
2873 + fi
2874 +
2875 + ac_ext=c
2876 + ac_cpp='$CPP $CPPFLAGS'
2877 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2878 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2879 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
2880 +
2881 + ac_ext=f90
2882 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
2883 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2884 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
2885 + if test -n "$ac_tool_prefix"; then
2886 +  for ac_prog in ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2887 +  do
2888 +    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2889 + set dummy $ac_tool_prefix$ac_prog; ac_word=$2
2890 + echo "$as_me:$LINENO: checking for $ac_word" >&5
2891 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
2892 + if test "${ac_cv_prog_F90+set}" = set; then
2893 +  echo $ECHO_N "(cached) $ECHO_C" >&6
2894 + else
2895 +  if test -n "$F90"; then
2896 +  ac_cv_prog_F90="$F90" # Let the user override the test.
2897 + else
2898 + as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
2899 + for as_dir in $PATH
2900 + do
2901 +  IFS=$as_save_IFS
2902 +  test -z "$as_dir" && as_dir=.
2903 +  for ac_exec_ext in '' $ac_executable_extensions; do
2904 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
2905 +    ac_cv_prog_F90="$ac_tool_prefix$ac_prog"
2906 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
2907 +    break 2
2908 +  fi
2909 + done
2910 + done
2911 +
2912 + fi
2913 + fi
2914 + F90=$ac_cv_prog_F90
2915 + if test -n "$F90"; then
2916 +  echo "$as_me:$LINENO: result: $F90" >&5
2917 + echo "${ECHO_T}$F90" >&6
2918 + else
2919 +  echo "$as_me:$LINENO: result: no" >&5
2920 + echo "${ECHO_T}no" >&6
2921 + fi
2922 +
2923 +    test -n "$F90" && break
2924 +  done
2925 + fi
2926 + if test -z "$F90"; then
2927 +  ac_ct_F90=$F90
2928 +  for ac_prog in ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2929 + do
2930 +  # Extract the first word of "$ac_prog", so it can be a program name with args.
2931 + set dummy $ac_prog; ac_word=$2
2932 + echo "$as_me:$LINENO: checking for $ac_word" >&5
2933 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
2934 + if test "${ac_cv_prog_ac_ct_F90+set}" = set; then
2935 +  echo $ECHO_N "(cached) $ECHO_C" >&6
2936 + else
2937 +  if test -n "$ac_ct_F90"; then
2938 +  ac_cv_prog_ac_ct_F90="$ac_ct_F90" # Let the user override the test.
2939 + else
2940 + as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
2941 + for as_dir in $PATH
2942 + do
2943 +  IFS=$as_save_IFS
2944 +  test -z "$as_dir" && as_dir=.
2945 +  for ac_exec_ext in '' $ac_executable_extensions; do
2946 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
2947 +    ac_cv_prog_ac_ct_F90="$ac_prog"
2948 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
2949 +    break 2
2950 +  fi
2951 + done
2952 + done
2953 +
2954 + fi
2955 + fi
2956 + ac_ct_F90=$ac_cv_prog_ac_ct_F90
2957 + if test -n "$ac_ct_F90"; then
2958 +  echo "$as_me:$LINENO: result: $ac_ct_F90" >&5
2959 + echo "${ECHO_T}$ac_ct_F90" >&6
2960 + else
2961 +  echo "$as_me:$LINENO: result: no" >&5
2962 + echo "${ECHO_T}no" >&6
2963 + fi
2964 +
2965 +  test -n "$ac_ct_F90" && break
2966 + done
2967 +
2968 +  F90=$ac_ct_F90
2969 + fi
2970 +
2971 +
2972 + # If we don't use `.F90' as extension, the preprocessor is not run on the
2973 + # input file.
2974 + ac_save_ext=$ac_ext
2975 + ac_ext=F90
2976 + echo "$as_me:$LINENO: checking whether we are using the GNU Fortran 90 compiler" >&5
2977 + echo $ECHO_N "checking whether we are using the GNU Fortran 90 compiler... $ECHO_C" >&6
2978 + if test "${ac_cv_f90_compiler_gnu+set}" = set; then
2979 +  echo $ECHO_N "(cached) $ECHO_C" >&6
2980 + else
2981 +  cat >conftest.$ac_ext <<_ACEOF
2982 +
2983 + program main
2984 +
2985 + #ifndef __GNUC__
2986 +       choke me
2987 + #endif
2988 +
2989 + end program main
2990 +
2991 + _ACEOF
2992 + rm -f conftest.$ac_objext
2993 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
2994 +  (eval $ac_compile) 2>&5
2995 +  ac_status=$?
2996 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
2997 +  (exit $ac_status); } &&
2998 +         { ac_try='test -s conftest.$ac_objext'
2999 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3000 +  (eval $ac_try) 2>&5
3001 +  ac_status=$?
3002 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3003 +  (exit $ac_status); }; }; then
3004 +  ac_compiler_gnu=yes
3005 + else
3006 +  echo "$as_me: failed program was:" >&5
3007 + sed 's/^/| /' conftest.$ac_ext >&5
3008 +
3009 + ac_compiler_gnu=no
3010 + fi
3011 + rm -f conftest.$ac_objext conftest.$ac_ext
3012 + ac_cv_f90_compiler_gnu=$ac_compiler_gnu
3013 +
3014 + fi
3015 + echo "$as_me:$LINENO: result: $ac_cv_f90_compiler_gnu" >&5
3016 + echo "${ECHO_T}$ac_cv_f90_compiler_gnu" >&6
3017 + ac_ext=$ac_save_ext
3018 + G95=`test $ac_compiler_gnu = yes && echo yes`
3019 + ac_ext=c
3020 + ac_cpp='$CPP $CPPFLAGS'
3021 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3022 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3023 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
3024 +
3025 +
3026 +
3027 +
3028 +
3029 + # Try to determine native compiler flags that allow us to use F90 suffix
3030 + # for preprocessed f90 source.
3031 +
3032 + if test "$ac_test_PREPFLAG" != "set"; then
3033 +  PREPFLAG=""
3034 +  case "${host_cpu}-${host_os}" in
3035 +
3036 +  *linux*) if test "$F90" = ifc; then
3037 +                    PREPFLAG="-fpp1 "
3038 +                fi;;
3039 +  *aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
3040 +                    PREPFLAG="-qsuffix=cpp=F90 "
3041 +                fi;;
3042 +  *darwin*)
3043 +        if test "$F90" = f90 -o "$F90" = xlf90; then
3044 +                PREPFLAG="-qsuffix=cpp=F90 "
3045 +        fi;;
3046 +  esac
3047 +
3048 +  if test -z "$PREPFLAG"; then
3049 +        echo ""
3050 +        echo "**********************************************************"
3051 +        echo "* WARNING: Don't know the best PREPFLAG for this system  *"
3052 +        echo "* Use  make PREPFLAG=..., or edit the top level Makefile *"
3053 +        echo "* (otherwise, an empty PREPFLAG will be used)            *"
3054 +        echo "**********************************************************"
3055 +        echo ""
3056 +        PREPFLAG=""
3057 +  fi
3058 +
3059 +  echo "$as_me:$LINENO: checking to make sure F90 preprocessor flag works" >&5
3060 + echo $ECHO_N "checking to make sure F90 preprocessor flag works... $ECHO_C" >&6
3061 +
3062 +
3063 +  ac_ext=f90
3064 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3065 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3066 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3067 +
3068 +  ac_save_ext=$ac_ext
3069 +  ac_ext=F90
3070 +  ac_save_F90FLAGS=$F90FLAGS
3071 +
3072 +  if test "$PREPFLAG"; then
3073 +  F90FLAGS="${F90FLAGS} ${PREPFLAG}-DTEST"
3074 + fi
3075 +
3076 +    cat >conftest.$ac_ext <<_ACEOF
3077 +
3078 +
3079 + program main
3080 +
3081 +  integer :: i
3082 +  i = 1
3083 +
3084 +
3085 + end program main
3086 +
3087 + _ACEOF
3088 + rm -f conftest.$ac_objext
3089 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3090 +  (eval $ac_compile) 2>&5
3091 +  ac_status=$?
3092 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3093 +  (exit $ac_status); } &&
3094 +         { ac_try='test -s conftest.$ac_objext'
3095 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3096 +  (eval $ac_try) 2>&5
3097 +  ac_status=$?
3098 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3099 +  (exit $ac_status); }; }; then
3100 +  prepflagworks=1
3101 + else
3102 +  echo "$as_me: failed program was:" >&5
3103 + sed 's/^/| /' conftest.$ac_ext >&5
3104 +
3105 + prepflagworks=0
3106 + fi
3107 + rm -f conftest.$ac_objext conftest.$ac_ext
3108 +
3109 +  F90FLAGS=$ac_save_F90FLAGS
3110 +  ac_ext=$ac_save_ext
3111 +  ac_ext=c
3112 + ac_cpp='$CPP $CPPFLAGS'
3113 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3114 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3115 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
3116 +
3117 +
3118 +
3119 +  if test "$prepflagworks" = 1; then
3120 +    echo "$as_me:$LINENO: result: yes" >&5
3121 + echo "${ECHO_T}yes" >&6
3122 +
3123 +  else
3124 +    echo "$as_me:$LINENO: result: no" >&5
3125 + echo "${ECHO_T}no" >&6
3126 +    { { echo "$as_me:$LINENO: error: Can't figure out working Fortran90 preprocessor flag" >&5
3127 + echo "$as_me: error: Can't figure out working Fortran90 preprocessor flag" >&2;}
3128 +   { (exit 1); exit 1; }; }
3129 +  fi
3130 + fi
3131 +
3132 +
3133 +
3134 +
3135 +
3136 + # Try to determine native compiler flags that allow us to use F90 suffix
3137 + # for preprocessed f90 source with -D type defines
3138 +
3139 + if test "$ac_test_PREPDEFFLAG" != "set"; then
3140 +  PREPDEFFLAG=""
3141 +  case "${host_cpu}-${host_os}" in
3142 +
3143 +  *linux*) if test "$F90" = ifc; then
3144 +                    PREPDEFFLAG=" "
3145 +                fi;;
3146 +  *aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
3147 +                    PREPDEFFLAG="-WF,"
3148 +                fi;;
3149 +  *darwin*)
3150 +        if test "$F90" = f90 -o "$F90" = xlf90; then
3151 +                PREPDEFFLAG="-WF,"
3152 +        fi;;
3153 +  esac
3154 +
3155 +  if test -z "$PREPDEFFLAG"; then
3156 +        echo ""
3157 +        echo "*************************************************************"
3158 +        echo "* WARNING: Don't know the best PREPDEFFLAG for this system  *"
3159 +        echo "* Use  make PREPDEFFLAG=..., or edit the top level Makefile *"
3160 +        echo "* (otherwise, an empty PREPDEFFLAG will be used)            *"
3161 +        echo "*************************************************************"
3162 +        echo ""
3163 +        PREPDEFFLAG=" "
3164 +  fi
3165 +
3166 +  echo "$as_me:$LINENO: checking to make sure F90 preprocessor define flag works" >&5
3167 + echo $ECHO_N "checking to make sure F90 preprocessor define flag works... $ECHO_C" >&6
3168 +
3169 +
3170 +  ac_ext=f90
3171 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3172 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3173 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3174 +
3175 +  ac_save_ext=$ac_ext
3176 +  ac_ext=F90
3177 +  ac_save_F90FLAGS=$F90FLAGS
3178 +
3179 +  if test "$PREPDEFFLAG"; then
3180 +  F90FLAGS="${F90FLAGS} ${PREPFLAG} ${PREPDEFFLAG}-DTEST"
3181 + fi
3182 +
3183 +    cat >conftest.$ac_ext <<_ACEOF
3184 +
3185 +
3186 + program main
3187 +
3188 +  integer :: i
3189 + #ifdef TEST
3190 +  i = 1
3191 + #else
3192 +  choke me
3193 + #endif
3194 +
3195 +
3196 + end program main
3197 +
3198 + _ACEOF
3199 + rm -f conftest.$ac_objext
3200 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3201 +  (eval $ac_compile) 2>&5
3202 +  ac_status=$?
3203 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3204 +  (exit $ac_status); } &&
3205 +         { ac_try='test -s conftest.$ac_objext'
3206 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3207 +  (eval $ac_try) 2>&5
3208 +  ac_status=$?
3209 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3210 +  (exit $ac_status); }; }; then
3211 +  prepdefflagworks=1
3212 + else
3213 +  echo "$as_me: failed program was:" >&5
3214 + sed 's/^/| /' conftest.$ac_ext >&5
3215 +
3216 + prepdefflagworks=0
3217 + fi
3218 + rm -f conftest.$ac_objext conftest.$ac_ext
3219 +
3220 +  F90FLAGS=$ac_save_F90FLAGS
3221 +  ac_ext=$ac_save_ext
3222 +  ac_ext=c
3223 + ac_cpp='$CPP $CPPFLAGS'
3224 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3225 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3226 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
3227 +
3228 +
3229 +
3230 +  if test "$prepdefflagworks" = 1; then
3231 +    echo "$as_me:$LINENO: result: yes" >&5
3232 + echo "${ECHO_T}yes" >&6
3233 +
3234 +  else
3235 +    echo "$as_me:$LINENO: result: no" >&5
3236 + echo "${ECHO_T}no" >&6
3237 +    { { echo "$as_me:$LINENO: error: Can't figure out working Fortran90 preprocessor define flag" >&5
3238 + echo "$as_me: error: Can't figure out working Fortran90 preprocessor define flag" >&2;}
3239 +   { (exit 1); exit 1; }; }
3240 +  fi
3241 + fi
3242 +
3243 +
3244 + case $debug in
3245 +  1)
3246 +     ;;
3247 +  *)
3248 +
3249 +
3250 +
3251 +
3252   # Try to determine "good" native compiler flags if none specified on command
3253   # line
3254   if test "$ac_test_CFLAGS" != "set"; then
# Line 2983 | Line 3671 | else
3671          echo "********************************************************"
3672          echo ""
3673          CFLAGS=""
2986
2987 fi
2988
2989
2990 fi
2991
2992 ac_ext=cc
2993 ac_cpp='$CXXCPP $CPPFLAGS'
2994 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2995 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2996 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
2997 if test -n "$ac_tool_prefix"; then
2998  for ac_prog in $CCC icpc icc xlC g++ c++
2999  do
3000    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
3001 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
3002 echo "$as_me:$LINENO: checking for $ac_word" >&5
3003 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
3004 if test "${ac_cv_prog_CXX+set}" = set; then
3005  echo $ECHO_N "(cached) $ECHO_C" >&6
3006 else
3007  if test -n "$CXX"; then
3008  ac_cv_prog_CXX="$CXX" # Let the user override the test.
3009 else
3010 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
3011 for as_dir in $PATH
3012 do
3013  IFS=$as_save_IFS
3014  test -z "$as_dir" && as_dir=.
3015  for ac_exec_ext in '' $ac_executable_extensions; do
3016  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
3017    ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
3018    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
3019    break 2
3020  fi
3021 done
3022 done
3674  
3675   fi
3025 fi
3026 CXX=$ac_cv_prog_CXX
3027 if test -n "$CXX"; then
3028  echo "$as_me:$LINENO: result: $CXX" >&5
3029 echo "${ECHO_T}$CXX" >&6
3030 else
3031  echo "$as_me:$LINENO: result: no" >&5
3032 echo "${ECHO_T}no" >&6
3033 fi
3676  
3035    test -n "$CXX" && break
3036  done
3037 fi
3038 if test -z "$CXX"; then
3039  ac_ct_CXX=$CXX
3040  for ac_prog in $CCC icpc icc xlC g++ c++
3041 do
3042  # Extract the first word of "$ac_prog", so it can be a program name with args.
3043 set dummy $ac_prog; ac_word=$2
3044 echo "$as_me:$LINENO: checking for $ac_word" >&5
3045 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
3046 if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
3047  echo $ECHO_N "(cached) $ECHO_C" >&6
3048 else
3049  if test -n "$ac_ct_CXX"; then
3050  ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
3051 else
3052 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
3053 for as_dir in $PATH
3054 do
3055  IFS=$as_save_IFS
3056  test -z "$as_dir" && as_dir=.
3057  for ac_exec_ext in '' $ac_executable_extensions; do
3058  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
3059    ac_cv_prog_ac_ct_CXX="$ac_prog"
3060    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
3061    break 2
3062  fi
3063 done
3064 done
3677  
3678   fi
3067 fi
3068 ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
3069 if test -n "$ac_ct_CXX"; then
3070  echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5
3071 echo "${ECHO_T}$ac_ct_CXX" >&6
3072 else
3073  echo "$as_me:$LINENO: result: no" >&5
3074 echo "${ECHO_T}no" >&6
3075 fi
3679  
3077  test -n "$ac_ct_CXX" && break
3078 done
3079 test -n "$ac_ct_CXX" || ac_ct_CXX="g++"
3680  
3081  CXX=$ac_ct_CXX
3082 fi
3681  
3682  
3085 # Provide some information about the compiler.
3086 echo "$as_me:$LINENO:" \
3087     "checking for C++ compiler version" >&5
3088 ac_compiler=`set X $ac_compile; echo $2`
3089 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
3090  (eval $ac_compiler --version </dev/null >&5) 2>&5
3091  ac_status=$?
3092  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3093  (exit $ac_status); }
3094 { (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
3095  (eval $ac_compiler -v </dev/null >&5) 2>&5
3096  ac_status=$?
3097  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3098  (exit $ac_status); }
3099 { (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
3100  (eval $ac_compiler -V </dev/null >&5) 2>&5
3101  ac_status=$?
3102  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3103  (exit $ac_status); }
3683  
3105 echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5
3106 echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
3107 if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
3108  echo $ECHO_N "(cached) $ECHO_C" >&6
3109 else
3110  cat >conftest.$ac_ext <<_ACEOF
3111 #line $LINENO "configure"
3112 /* confdefs.h.  */
3113 _ACEOF
3114 cat confdefs.h >>conftest.$ac_ext
3115 cat >>conftest.$ac_ext <<_ACEOF
3116 /* end confdefs.h.  */
3117
3118 int
3119 main ()
3120 {
3121 #ifndef __GNUC__
3122       choke me
3123 #endif
3124
3125  ;
3126  return 0;
3127 }
3128 _ACEOF
3129 rm -f conftest.$ac_objext
3130 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3131  (eval $ac_compile) 2>&5
3132  ac_status=$?
3133  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3134  (exit $ac_status); } &&
3135         { ac_try='test -s conftest.$ac_objext'
3136  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3137  (eval $ac_try) 2>&5
3138  ac_status=$?
3139  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3140  (exit $ac_status); }; }; then
3141  ac_compiler_gnu=yes
3142 else
3143  echo "$as_me: failed program was:" >&5
3144 sed 's/^/| /' conftest.$ac_ext >&5
3145
3146 ac_compiler_gnu=no
3147 fi
3148 rm -f conftest.$ac_objext conftest.$ac_ext
3149 ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
3150
3151 fi
3152 echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
3153 echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
3154 GXX=`test $ac_compiler_gnu = yes && echo yes`
3155 ac_test_CXXFLAGS=${CXXFLAGS+set}
3156 ac_save_CXXFLAGS=$CXXFLAGS
3157 CXXFLAGS="-g"
3158 echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
3159 echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
3160 if test "${ac_cv_prog_cxx_g+set}" = set; then
3161  echo $ECHO_N "(cached) $ECHO_C" >&6
3162 else
3163  cat >conftest.$ac_ext <<_ACEOF
3164 #line $LINENO "configure"
3165 /* confdefs.h.  */
3166 _ACEOF
3167 cat confdefs.h >>conftest.$ac_ext
3168 cat >>conftest.$ac_ext <<_ACEOF
3169 /* end confdefs.h.  */
3170
3171 int
3172 main ()
3173 {
3174
3175  ;
3176  return 0;
3177 }
3178 _ACEOF
3179 rm -f conftest.$ac_objext
3180 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3181  (eval $ac_compile) 2>&5
3182  ac_status=$?
3183  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3184  (exit $ac_status); } &&
3185         { ac_try='test -s conftest.$ac_objext'
3186  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3187  (eval $ac_try) 2>&5
3188  ac_status=$?
3189  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3190  (exit $ac_status); }; }; then
3191  ac_cv_prog_cxx_g=yes
3192 else
3193  echo "$as_me: failed program was:" >&5
3194 sed 's/^/| /' conftest.$ac_ext >&5
3195
3196 ac_cv_prog_cxx_g=no
3197 fi
3198 rm -f conftest.$ac_objext conftest.$ac_ext
3199 fi
3200 echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
3201 echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
3202 if test "$ac_test_CXXFLAGS" = set; then
3203  CXXFLAGS=$ac_save_CXXFLAGS
3204 elif test $ac_cv_prog_cxx_g = yes; then
3205  if test "$GXX" = yes; then
3206    CXXFLAGS="-g -O2"
3207  else
3208    CXXFLAGS="-g"
3209  fi
3210 else
3211  if test "$GXX" = yes; then
3212    CXXFLAGS="-O2"
3213  else
3214    CXXFLAGS=
3215  fi
3216 fi
3217 for ac_declaration in \
3218   ''\
3219   '#include <stdlib.h>' \
3220   'extern "C" void std::exit (int) throw (); using std::exit;' \
3221   'extern "C" void std::exit (int); using std::exit;' \
3222   'extern "C" void exit (int) throw ();' \
3223   'extern "C" void exit (int);' \
3224   'void exit (int);'
3225 do
3226  cat >conftest.$ac_ext <<_ACEOF
3227 #line $LINENO "configure"
3228 /* confdefs.h.  */
3229 _ACEOF
3230 cat confdefs.h >>conftest.$ac_ext
3231 cat >>conftest.$ac_ext <<_ACEOF
3232 /* end confdefs.h.  */
3233 #include <stdlib.h>
3234 $ac_declaration
3235 int
3236 main ()
3237 {
3238 exit (42);
3239  ;
3240  return 0;
3241 }
3242 _ACEOF
3243 rm -f conftest.$ac_objext
3244 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3245  (eval $ac_compile) 2>&5
3246  ac_status=$?
3247  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3248  (exit $ac_status); } &&
3249         { ac_try='test -s conftest.$ac_objext'
3250  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3251  (eval $ac_try) 2>&5
3252  ac_status=$?
3253  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3254  (exit $ac_status); }; }; then
3255  :
3256 else
3257  echo "$as_me: failed program was:" >&5
3258 sed 's/^/| /' conftest.$ac_ext >&5
3259
3260 continue
3261 fi
3262 rm -f conftest.$ac_objext conftest.$ac_ext
3263  cat >conftest.$ac_ext <<_ACEOF
3264 #line $LINENO "configure"
3265 /* confdefs.h.  */
3266 _ACEOF
3267 cat confdefs.h >>conftest.$ac_ext
3268 cat >>conftest.$ac_ext <<_ACEOF
3269 /* end confdefs.h.  */
3270 $ac_declaration
3271 int
3272 main ()
3273 {
3274 exit (42);
3275  ;
3276  return 0;
3277 }
3278 _ACEOF
3279 rm -f conftest.$ac_objext
3280 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3281  (eval $ac_compile) 2>&5
3282  ac_status=$?
3283  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3284  (exit $ac_status); } &&
3285         { ac_try='test -s conftest.$ac_objext'
3286  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3287  (eval $ac_try) 2>&5
3288  ac_status=$?
3289  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3290  (exit $ac_status); }; }; then
3291  break
3292 else
3293  echo "$as_me: failed program was:" >&5
3294 sed 's/^/| /' conftest.$ac_ext >&5
3295
3296 fi
3297 rm -f conftest.$ac_objext conftest.$ac_ext
3298 done
3299 rm -f conftest*
3300 if test -n "$ac_declaration"; then
3301  echo '#ifdef __cplusplus' >>confdefs.h
3302  echo $ac_declaration      >>confdefs.h
3303  echo '#endif'             >>confdefs.h
3304 fi
3305
3306 ac_ext=c
3307 ac_cpp='$CPP $CPPFLAGS'
3308 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3309 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3310 ac_compiler_gnu=$ac_cv_c_compiler_gnu
3311
3312
3313
3314
3315
3684   # Try to determine "good" native compiler flags if none specified on command
3685   # line
3686   if test "$ac_test_CXXFLAGS" != "set"; then
# Line 3726 | Line 4094 | else
4094          echo "**********************************************************"
4095          echo ""
4096          CXXFLAGS=""
3729
3730 fi
3731
3732
3733 fi
3734
3735 ac_ext=f90
3736 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3737 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3738 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3739 if test -n "$ac_tool_prefix"; then
3740  for ac_prog in ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
3741  do
3742    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
3743 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
3744 echo "$as_me:$LINENO: checking for $ac_word" >&5
3745 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
3746 if test "${ac_cv_prog_F90+set}" = set; then
3747  echo $ECHO_N "(cached) $ECHO_C" >&6
3748 else
3749  if test -n "$F90"; then
3750  ac_cv_prog_F90="$F90" # Let the user override the test.
3751 else
3752 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
3753 for as_dir in $PATH
3754 do
3755  IFS=$as_save_IFS
3756  test -z "$as_dir" && as_dir=.
3757  for ac_exec_ext in '' $ac_executable_extensions; do
3758  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
3759    ac_cv_prog_F90="$ac_tool_prefix$ac_prog"
3760    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
3761    break 2
3762  fi
3763 done
3764 done
3765
3766 fi
3767 fi
3768 F90=$ac_cv_prog_F90
3769 if test -n "$F90"; then
3770  echo "$as_me:$LINENO: result: $F90" >&5
3771 echo "${ECHO_T}$F90" >&6
3772 else
3773  echo "$as_me:$LINENO: result: no" >&5
3774 echo "${ECHO_T}no" >&6
3775 fi
3776
3777    test -n "$F90" && break
3778  done
3779 fi
3780 if test -z "$F90"; then
3781  ac_ct_F90=$F90
3782  for ac_prog in ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
3783 do
3784  # Extract the first word of "$ac_prog", so it can be a program name with args.
3785 set dummy $ac_prog; ac_word=$2
3786 echo "$as_me:$LINENO: checking for $ac_word" >&5
3787 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
3788 if test "${ac_cv_prog_ac_ct_F90+set}" = set; then
3789  echo $ECHO_N "(cached) $ECHO_C" >&6
3790 else
3791  if test -n "$ac_ct_F90"; then
3792  ac_cv_prog_ac_ct_F90="$ac_ct_F90" # Let the user override the test.
3793 else
3794 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
3795 for as_dir in $PATH
3796 do
3797  IFS=$as_save_IFS
3798  test -z "$as_dir" && as_dir=.
3799  for ac_exec_ext in '' $ac_executable_extensions; do
3800  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
3801    ac_cv_prog_ac_ct_F90="$ac_prog"
3802    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
3803    break 2
3804  fi
3805 done
3806 done
3807
3808 fi
3809 fi
3810 ac_ct_F90=$ac_cv_prog_ac_ct_F90
3811 if test -n "$ac_ct_F90"; then
3812  echo "$as_me:$LINENO: result: $ac_ct_F90" >&5
3813 echo "${ECHO_T}$ac_ct_F90" >&6
3814 else
3815  echo "$as_me:$LINENO: result: no" >&5
3816 echo "${ECHO_T}no" >&6
3817 fi
4097  
3819  test -n "$ac_ct_F90" && break
3820 done
3821
3822  F90=$ac_ct_F90
4098   fi
4099  
4100  
3826 # If we don't use `.F90' as extension, the preprocessor is not run on the
3827 # input file.
3828 ac_save_ext=$ac_ext
3829 ac_ext=F90
3830 echo "$as_me:$LINENO: checking whether we are using the GNU Fortran 90 compiler" >&5
3831 echo $ECHO_N "checking whether we are using the GNU Fortran 90 compiler... $ECHO_C" >&6
3832 if test "${ac_cv_f90_compiler_gnu+set}" = set; then
3833  echo $ECHO_N "(cached) $ECHO_C" >&6
3834 else
3835  cat >conftest.$ac_ext <<_ACEOF
3836
3837 program main
3838
3839 #ifndef __GNUC__
3840       choke me
3841 #endif
3842
3843 end program main
3844
3845 _ACEOF
3846 rm -f conftest.$ac_objext
3847 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3848  (eval $ac_compile) 2>&5
3849  ac_status=$?
3850  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3851  (exit $ac_status); } &&
3852         { ac_try='test -s conftest.$ac_objext'
3853  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3854  (eval $ac_try) 2>&5
3855  ac_status=$?
3856  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3857  (exit $ac_status); }; }; then
3858  ac_compiler_gnu=yes
3859 else
3860  echo "$as_me: failed program was:" >&5
3861 sed 's/^/| /' conftest.$ac_ext >&5
3862
3863 ac_compiler_gnu=no
4101   fi
3865 rm -f conftest.$ac_objext conftest.$ac_ext
3866 ac_cv_f90_compiler_gnu=$ac_compiler_gnu
4102  
3868 fi
3869 echo "$as_me:$LINENO: result: $ac_cv_f90_compiler_gnu" >&5
3870 echo "${ECHO_T}$ac_cv_f90_compiler_gnu" >&6
3871 ac_ext=$ac_save_ext
3872 G95=`test $ac_compiler_gnu = yes && echo yes`
3873 ac_ext=c
3874 ac_cpp='$CPP $CPPFLAGS'
3875 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3876 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3877 ac_compiler_gnu=$ac_cv_c_compiler_gnu
4103  
4104  
4105  
4106  
3882
4107   # Try to determine "good" native compiler flags if none specified on command
4108   # line
4109  
4110 < if test "$ac_test_F90FLAGS" != "set"; then
4110 > if test x"$F90FLAGS" == x ; then
4111    F90FLAGS=""
4112    case "${host_cpu}-${host_os}" in
4113  
# Line 3989 | Line 4213 | fi
4213          F90FLAGS=""
4214  
4215   fi
3992
3993
3994 fi
3995
3996
3997
3998
3999
4000 # Try to determine native compiler flags that allow us to use F90 suffix
4001 # for preprocessed f90 source.
4002
4003 if test "$ac_test_PREPFLAG" != "set"; then
4004  PREPFLAG=""
4005  case "${host_cpu}-${host_os}" in
4006
4007  *linux*) if test "$F90" = ifc; then
4008                    PREPFLAG="-fpp1 "
4009                fi;;
4010  *aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
4011                    PREPFLAG="-qsuffix=cpp=F90 "
4012                fi;;
4013  *darwin*)
4014        if test "$F90" = f90 -o "$F90" = xlf90; then
4015                PREPFLAG="-qsuffix=cpp=F90 "
4016        fi;;
4017  esac
4018
4019  if test -z "$PREPFLAG"; then
4020        echo ""
4021        echo "**********************************************************"
4022        echo "* WARNING: Don't know the best PREPFLAG for this system  *"
4023        echo "* Use  make PREPFLAG=..., or edit the top level Makefile *"
4024        echo "* (otherwise, an empty PREPFLAG will be used)            *"
4025        echo "**********************************************************"
4026        echo ""
4027        PREPFLAG=""
4028  fi
4029
4030  echo "$as_me:$LINENO: checking to make sure F90 preprocessor flag works" >&5
4031 echo $ECHO_N "checking to make sure F90 preprocessor flag works... $ECHO_C" >&6
4032
4033
4034  ac_ext=f90
4035 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4036 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4037 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4038
4039  ac_save_ext=$ac_ext
4040  ac_ext=F90
4041  ac_save_F90FLAGS=$F90FLAGS
4042
4043  if test "$PREPFLAG"; then
4044  F90FLAGS="${F90FLAGS} ${PREPFLAG}-DTEST"
4045 fi
4046
4047    cat >conftest.$ac_ext <<_ACEOF
4048
4049
4050 program main
4051
4052  integer :: i
4053  i = 1
4054
4055
4056 end program main
4057
4058 _ACEOF
4059 rm -f conftest.$ac_objext
4060 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4061  (eval $ac_compile) 2>&5
4062  ac_status=$?
4063  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4064  (exit $ac_status); } &&
4065         { ac_try='test -s conftest.$ac_objext'
4066  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4067  (eval $ac_try) 2>&5
4068  ac_status=$?
4069  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4070  (exit $ac_status); }; }; then
4071  prepflagworks=1
4072 else
4073  echo "$as_me: failed program was:" >&5
4074 sed 's/^/| /' conftest.$ac_ext >&5
4075
4076 prepflagworks=0
4077 fi
4078 rm -f conftest.$ac_objext conftest.$ac_ext
4079
4080  F90FLAGS=$ac_save_F90FLAGS
4081  ac_ext=$ac_save_ext
4082  ac_ext=c
4083 ac_cpp='$CPP $CPPFLAGS'
4084 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4085 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4086 ac_compiler_gnu=$ac_cv_c_compiler_gnu
4087
4088
4089
4090  if test "$prepflagworks" = 1; then
4091    echo "$as_me:$LINENO: result: yes" >&5
4092 echo "${ECHO_T}yes" >&6
4093
4094  else
4095    echo "$as_me:$LINENO: result: no" >&5
4096 echo "${ECHO_T}no" >&6
4097    { { echo "$as_me:$LINENO: error: Can't figure out working Fortran90 preprocessor flag" >&5
4098 echo "$as_me: error: Can't figure out working Fortran90 preprocessor flag" >&2;}
4099   { (exit 1); exit 1; }; }
4100  fi
4101 fi
4102
4103
4104
4105
4106
4107 # Try to determine native compiler flags that allow us to use F90 suffix
4108 # for preprocessed f90 source with -D type defines
4109
4110 if test "$ac_test_PREPDEFFLAG" != "set"; then
4111  PREPDEFFLAG=""
4112  case "${host_cpu}-${host_os}" in
4113
4114  *linux*) if test "$F90" = ifc; then
4115                    PREPDEFFLAG=" "
4116                fi;;
4117  *aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
4118                    PREPDEFFLAG="-WF,"
4119                fi;;
4120  *darwin*)
4121        if test "$F90" = f90 -o "$F90" = xlf90; then
4122                PREPDEFFLAG="-WF,"
4123        fi;;
4124  esac
4216  
4126  if test -z "$PREPDEFFLAG"; then
4127        echo ""
4128        echo "*************************************************************"
4129        echo "* WARNING: Don't know the best PREPDEFFLAG for this system  *"
4130        echo "* Use  make PREPDEFFLAG=..., or edit the top level Makefile *"
4131        echo "* (otherwise, an empty PREPDEFFLAG will be used)            *"
4132        echo "*************************************************************"
4133        echo ""
4134        PREPDEFFLAG=" "
4135  fi
4217  
4137  echo "$as_me:$LINENO: checking to make sure F90 preprocessor define flag works" >&5
4138 echo $ECHO_N "checking to make sure F90 preprocessor define flag works... $ECHO_C" >&6
4139
4140
4141  ac_ext=f90
4142 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4143 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4144 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4145
4146  ac_save_ext=$ac_ext
4147  ac_ext=F90
4148  ac_save_F90FLAGS=$F90FLAGS
4149
4150  if test "$PREPDEFFLAG"; then
4151  F90FLAGS="${F90FLAGS} ${PREPFLAG} ${PREPDEFFLAG}-DTEST"
4218   fi
4219  
4220 <    cat >conftest.$ac_ext <<_ACEOF
4221 <
4156 <
4157 < program main
4158 <
4159 <  integer :: i
4160 < #ifdef TEST
4161 <  i = 1
4162 < #else
4163 <  choke me
4164 < #endif
4165 <
4166 <
4167 < end program main
4168 <
4169 < _ACEOF
4170 < rm -f conftest.$ac_objext
4171 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4172 <  (eval $ac_compile) 2>&5
4173 <  ac_status=$?
4174 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4175 <  (exit $ac_status); } &&
4176 <         { ac_try='test -s conftest.$ac_objext'
4177 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4178 <  (eval $ac_try) 2>&5
4179 <  ac_status=$?
4180 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4181 <  (exit $ac_status); }; }; then
4182 <  prepdefflagworks=1
4183 < else
4184 <  echo "$as_me: failed program was:" >&5
4185 < sed 's/^/| /' conftest.$ac_ext >&5
4186 <
4187 < prepdefflagworks=0
4188 < fi
4189 < rm -f conftest.$ac_objext conftest.$ac_ext
4190 <
4191 <  F90FLAGS=$ac_save_F90FLAGS
4192 <  ac_ext=$ac_save_ext
4193 <  ac_ext=c
4194 < ac_cpp='$CPP $CPPFLAGS'
4195 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4196 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4197 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
4198 <
4199 <
4200 <
4201 <  if test "$prepdefflagworks" = 1; then
4202 <    echo "$as_me:$LINENO: result: yes" >&5
4203 < echo "${ECHO_T}yes" >&6
4204 <
4205 <  else
4206 <    echo "$as_me:$LINENO: result: no" >&5
4207 < echo "${ECHO_T}no" >&6
4208 <    { { echo "$as_me:$LINENO: error: Can't figure out working Fortran90 preprocessor define flag" >&5
4209 < echo "$as_me: error: Can't figure out working Fortran90 preprocessor define flag" >&2;}
4210 <   { (exit 1); exit 1; }; }
4211 <  fi
4212 < fi
4220 >     ;;
4221 > esac
4222  
4223   # Find a good install program.  We prefer a C program (faster),
4224   # so one script is as good as another.  But avoid the broken or
# Line 4851 | Line 4860 | F90FLAGS="$F90FLAGS $ac_verb"
4860   ac_save_F90FLAGS=$F90FLAGS
4861   F90FLAGS="$F90FLAGS $ac_verb"
4862  
4863 < (eval echo $as_me:4854: \"$ac_link\") >&5
4863 > (eval echo $as_me:4863: \"$ac_link\") >&5
4864   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4865   echo "$ac_f90_v_output" >&5
4866   F90FLAGS=$ac_save_F90FLAGS
# Line 4928 | Line 4937 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
4937   ac_save_F90FLAGS=$F90FLAGS
4938   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
4939  
4940 < (eval echo $as_me:4931: \"$ac_link\") >&5
4940 > (eval echo $as_me:4940: \"$ac_link\") >&5
4941   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4942   echo "$ac_f90_v_output" >&5
4943   F90FLAGS=$ac_save_F90FLAGS
# Line 6139 | Line 6148 | fi;
6148    sprng_prefix="/usr/local"
6149   fi;
6150  
6151 < # Check whether --with-sprng_lib_prefix or --without-sprng_lib_prefix was given.
6152 < if test "${with_sprng_lib_prefix+set}" = set; then
6153 <  withval="$with_sprng_lib_prefix"
6154 <  sprng_lib_prefix="$withval"
6151 > # Check whether --with-sprng-libdir or --without-sprng-libdir was given.
6152 > if test "${with_sprng_libdir+set}" = set; then
6153 >  withval="$with_sprng_libdir"
6154 >  sprng_libdir="$withval"
6155   else
6156 <  sprng_lib_prefix="/usr/local/lib"
6156 >  sprng_libdir="/usr/local/lib"
6157   fi;
6158  
6159 < # Check whether --with-sprng_include_prefix or --without-sprng_include_prefix was given.
6160 < if test "${with_sprng_include_prefix+set}" = set; then
6161 <  withval="$with_sprng_include_prefix"
6162 <  sprng_include_prefix="$withval"
6159 > # Check whether --with-sprng-include or --without-sprng-include was given.
6160 > if test "${with_sprng_include+set}" = set; then
6161 >  withval="$with_sprng_include"
6162 >  sprng_include="$withval"
6163   else
6164 <  sprng_include_prefix="/usr/local/include/sprng"
6164 >  sprng_include="/usr/local/include/sprng"
6165   fi;
6166  
6167 <  if test x$sprng_lib_prefix = x ; then
6168 <    sprng_lib_prefix=${sprng_prefix}/lib
6167 >  if test x$sprng_libdir = x ; then
6168 >    sprng_libdir=${sprng_prefix}/lib
6169    fi
6170  
6171 <  if test x$sprng_include_prefix = x ; then
6172 <    sprng_include_prefix=${sprng_prefix}/include
6171 >  if test x$sprng_include = x ; then
6172 >    sprng_include=${sprng_prefix}/include
6173    fi
6174  
6175 <  echo "$as_me:$LINENO: checking for SPRNG include files in $sprng_include_prefix" >&5
6176 < echo $ECHO_N "checking for SPRNG include files in $sprng_include_prefix... $ECHO_C" >&6
6177 <  if test -f ${sprng_include_prefix}/sprng.h; then
6175 >  echo "$as_me:$LINENO: checking for SPRNG include files in $sprng_include" >&5
6176 > echo $ECHO_N "checking for SPRNG include files in $sprng_include... $ECHO_C" >&6
6177 >  if test -f ${sprng_include}/sprng.h; then
6178      have_sprngincl=yes
6179      echo "$as_me:$LINENO: result: yes" >&5
6180   echo "${ECHO_T}yes" >&6
# Line 6178 | Line 6187 | echo "$as_me: error: Could not locate the SPRNG includ
6187     { (exit 1); exit 1; }; }
6188    fi
6189  
6190 <  echo "$as_me:$LINENO: checking for SPRNG libraries in $sprng_lib_prefix" >&5
6191 < echo $ECHO_N "checking for SPRNG libraries in $sprng_lib_prefix... $ECHO_C" >&6
6192 <  if test -f ${sprng_lib_prefix}/libsprng.a; then
6190 >  echo "$as_me:$LINENO: checking for SPRNG libraries in $sprng_libdir" >&5
6191 > echo $ECHO_N "checking for SPRNG libraries in $sprng_libdir... $ECHO_C" >&6
6192 >  if test -f ${sprng_libdir}/libsprng.a; then
6193      have_sprnglib=yes
6194      echo "$as_me:$LINENO: result: yes" >&5
6195   echo "${ECHO_T}yes" >&6
# Line 6202 | Line 6211 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6211   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6212  
6213    ac_save_CPPFLAGS=$CPPFLAGS
6214 <  CPPFLAGS="${CPPFLAGS} -I${sprng_include_prefix}"
6214 >  CPPFLAGS="${CPPFLAGS} -I${sprng_include}"
6215    ac_save_LDFLAGS=$LDFLAGS
6216 <  LDFLAGS="${LDFLAGS} -L${sprng_lib_prefix} -lsprng"
6216 >  LDFLAGS="${LDFLAGS} -L${sprng_libdir} -lsprng"
6217    if test "${ac_cv_header_sprng_h+set}" = set; then
6218    echo "$as_me:$LINENO: checking for sprng.h" >&5
6219   echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
# Line 6391 | Line 6400 | if test $ac_cv_lib_sprng_init_rng = yes; then
6400   echo "$as_me:$LINENO: result: $ac_cv_lib_sprng_init_rng" >&5
6401   echo "${ECHO_T}$ac_cv_lib_sprng_init_rng" >&6
6402   if test $ac_cv_lib_sprng_init_rng = yes; then
6403 <  SPRNG_LIBDIR="${sprng_lib_prefix}"
6404 <                     SPRNG_LIB="-lsprng" SPRNG_INC="-I${sprng_include_prefix}"
6403 >  SPRNG_LIBDIR="${sprng_libdir}"
6404 >                     SPRNG_LIB="-lsprng" SPRNG_INC="-I${sprng_include}"
6405                       HAVE_SPRNG="yes"
6406   fi
6407  
# Line 6795 | Line 6804 | SUBDIRS="libBASS libmdtools src forceFields samples ut
6804  
6805   MKINSTALLDIRS=`pwd`/ac-tools/"shtool mkdir -p -f"
6806  
6807 < SUBDIRS="libBASS libmdtools src forceFields samples utils utils/sysbuilder"
6807 > SUBDIRS="libBASS libmdtools src forceFields samples utils utils/sysbuilder staticProps"
6808  
6809 < #CFLAGS=${CFLAGS-""}
6810 < #CXXFLAGS=${CXXFLAGS-""}
6811 < #CPPFLAGS=${CPPFLAGS-""}
6812 < #FFLAGS=${FFLAGS-""}
6813 < #LDFLAGS=${LDFLAGS-""}
6814 < #OPTIMIZE=${OPTIMIZE-"-O"}
6815 < #DEBUG=${DEBUG-"-g"}
6809 > CFLAGS=${CFLAGS-""}
6810 > CXXFLAGS=${CXXFLAGS-""}
6811 > CPPFLAGS=${CPPFLAGS-""}
6812 > FFLAGS=${FFLAGS-""}
6813 > F90FLAGS=${F90FLAGS-""}
6814 > LDFLAGS=${LDFLAGS-""}
6815 > DEBUG=${DEBUG-"-g"}
6816  
6817   case $debug in
6818 <  true)
6818 >  1)
6819       CFLAGS="$DEBUG $CFLAGS"
6820       CXXFLAGS="$DEBUG $CXXFLAGS"
6821       FFLAGS="$DEBUG $FFLAGS"
6822       F90FLAGS="$DEBUG $F90FLAGS"
6823       ;;
6824    *)
6816     CFLAGS="$OPTIMIZE $CFLAGS"
6817     CXXFLAGS="$OPTIMIZE $CXXFLAGS"
6818     FFLAGS="$OPTIMIZE $FFLAGS"
6819     F90FLAGS="$OPTIMIZE $F90FLAGS"
6825       ;;
6826   esac
6827  
# Line 6838 | Line 6843 | esac
6843  
6844            ac_config_headers="$ac_config_headers libmdtools/config.h"
6845  
6846 <                                                                                                                                            ac_config_files="$ac_config_files Makefile libBASS/Makefile libmdtools/Makefile src/Makefile utils/Makefile utils/sysbuilder/Makefile forceFields/Makefile samples/Makefile samples/alkane/Makefile samples/argon/Makefile samples/beadLipid/Makefile samples/lipid/Makefile samples/metals/Makefile samples/water/Makefile"
6846 >                                                                                                                                                      ac_config_files="$ac_config_files Makefile libBASS/Makefile libmdtools/Makefile src/Makefile utils/Makefile utils/sysbuilder/Makefile forceFields/Makefile samples/Makefile staticProps/Makefile samples/alkane/Makefile samples/argon/Makefile samples/beadLipid/Makefile samples/lipid/Makefile samples/metals/Makefile samples/water/Makefile"
6847  
6848  
6849   cat >confcache <<\_ACEOF
# Line 7373 | Line 7378 | do
7378    "utils/sysbuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES utils/sysbuilder/Makefile" ;;
7379    "forceFields/Makefile" ) CONFIG_FILES="$CONFIG_FILES forceFields/Makefile" ;;
7380    "samples/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/Makefile" ;;
7381 +  "staticProps/Makefile" ) CONFIG_FILES="$CONFIG_FILES staticProps/Makefile" ;;
7382    "samples/alkane/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/alkane/Makefile" ;;
7383    "samples/argon/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/argon/Makefile" ;;
7384    "samples/beadLipid/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/beadLipid/Makefile" ;;
# Line 7465 | Line 7471 | s,@DEBUG@,$DEBUG,;t t
7471   s,@ECHO_T@,$ECHO_T,;t t
7472   s,@LIBS@,$LIBS,;t t
7473   s,@PROGNAME@,$PROGNAME,;t t
7474 < s,@DEBUG@,$DEBUG,;t t
7474 > s,@debug@,$debug,;t t
7475   s,@build@,$build,;t t
7476   s,@build_cpu@,$build_cpu,;t t
7477   s,@build_vendor@,$build_vendor,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines